For the complete documentation index, see llms.txt. This page is also available as Markdown.

List suppliers' commission sales payouts

List suppliers' payouts for commission sales in a time period. Optionally filter on commission sales that are paid/not paid.

Required permissions: REPORTING

post
/tenants/{tenantUid}/stores/{storeUid}/reports/suppliers/payouts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
fromDatestring · dateRequired

GTE

toDatestring · dateRequired

LTE

paidbooleanOptional

filter on paid/not paid

supplierUidsstring[]Optional
productGroupUidsstring[]Optional
scopestring · enumOptionalPossible values:
Responses
200

Example response

application/json
post/tenants/{tenantUid}/stores/{storeUid}/reports/suppliers/payouts
POST /v2/tenants/{tenantUid}/stores/{storeUid}/reports/suppliers/payouts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "fromDate": "2026-01-01",
  "toDate": "2026-01-01",
  "paid": true,
  "supplierUids": [
    "text"
  ],
  "productGroupUids": [
    "text"
  ],
  "scope": "STOCK_ONLY"
}
200

Example response

{
  "items": [
    {
      "supplier": {
        "address": "text",
        "city": "text",
        "contactEmail": "text",
        "contactName": "text",
        "countryCode": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "email": "text",
        "externalId": "text",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "name": "text",
        "phone": "text",
        "postalCode": "text",
        "supplierUid": "text",
        "vatNumber": "text",
        "active": true,
        "bankInfo": {
          "accountNumber": "text",
          "bankName": "text",
          "iban": "text",
          "swift": "text",
          "giroAccountNumber": "text"
        },
        "fixedDiscountRate": 1,
        "currency": "text",
        "freightPercentage": 1,
        "representedStoreUid": "text"
      },
      "commissionSales": [
        {
          "payoutAmount": 1,
          "paidAt": "2026-01-01T00:00:00.000Z",
          "paid": true,
          "commissionPercentage": 1,
          "commissionAmount": 1,
          "salesPrice": 1,
          "productSku": "text",
          "productName": "text",
          "orderNumber": "text",
          "orderSettledAt": "2026-01-01T00:00:00.000Z",
          "commissionUid": "text",
          "orderProductLineUid": "text",
          "orderUid": "text"
        }
      ],
      "payoutsTotal": 1,
      "payoutsCount": 1
    }
  ]
}

Last updated

Was this helpful?